# Ocarina 6.5
Ocarina is a simple GTK+ and GStreamer based music player written to let you listen to your music without getting in the way.

### Git
Ocarina is tracked with Git, and can be cloned from the following sources:
* http://git.nowheycreamery.com/anna/ocarina.git
* git://git.nowheycreamery.com/anna/ocarina.git

##### Branches
* [master]
 * The most recent release.  This branch does not change frequently.
* [next]
 * Changes that will be included in the next release.  This branch is for testing and bugfixing.

### Building
Ocarina uses `cmake`to control the build process.  After cloning the code, run `cmake .` to generate the Makefile.  Compile using `make`

##### CMake Options
Ocarina supports the following options, which can be passed to `cmake` through `cmake -D<option>=<ON|OFF>`.  For example, `cmake -DCONFIG_DEBUG=ON` would enable debugging.
* CONFIG_DEBUG
 * Compile with debugging symbols enabled
* CONFIG_TESTING_VERBOSE
 * Enable extra output when running unit tests
* CONFIG_TESTING_GUI
 * Enable running GUI unit tests
* CONFIG_TESTING_ARTWORK
 * Enable unit tests that fetch album artwork

### Running
Once compiled, Ocarina can be run by invoking `bin/ocarina` on the command line.

##### Runtime options
The following options can be passed to Ocarina during startup
* -h, --help
 * Print help message and exit
* -n, --next
 * Tell a running Ocarina instance to play the next track
* - P, --pause
 * Tell a running Ocarina instance to pause playback
* -p, --play
 * Tell a running Ocarina instance to start playback
* -N, --previous
 * Tell a running Ocarina instance to play the previous track
* -t, --toggle
 * Tell a paused Ocarina instance to begin playback, or tell a playing Ocarina instance to pause.
* -v, --version
 * Print Ocarina version and exit

### Installing
Running `make install` will install Ocarina for use by all users.  There is currently no "uninstall" option.

### Testing
Running `make tests` will compile and run the Ocarina unit tests.  See the CMake Options section above for additional testing options.
