/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_PLAYLISTS_USER_H
#define OCARINA_CORE_PLAYLISTS_USER_H
#include <core/playlists/generic.h>

struct user_playlist {
	struct playlist pl_playlist;
	struct db_entry pl_dbe;
};

#define USER_PLAYLIST(dbe) ((struct user_playlist *)DBE_DATA(dbe))


/* User playlist type. */
extern struct playlist_type pl_user;


/* Called to initialize user playlists. */
void pl_user_init(void);

/* Called to deinitialize user playlists. */
void pl_user_deinit();

/* Called to tell user playlists that a track is getting deleted. */
void pl_user_delete_track(struct track *);

/* Called to rename a user playlist. */
bool pl_user_rename(struct playlist *, const gchar *);

struct database *pl_user_db_get();
#endif /* OCARINA_CORE_PLAYLISTS_USER_H */
