/*
 * Copyright 2015 (c) Anna Schumaker.
 *
 * The settings layer is used to store values configured by the user.
 */
#ifndef OCARINA_SETTINGS_H
#define OCARINA_SETTINGS_H
#include <glib.h>
#include <stdbool.h>


/* Called to initialize GUI settings. */
void settings_init();

/* Called to deinitialize GUI settings. */
void settings_deinit();

/* Called to configure a specific setting by key. */
void settings_set(const gchar *, unsigned int);

/* Called to access a specific setting by key. */
unsigned int settings_get(const gchar *);

/* Called to check if a specific settings exists. */
bool settings_has(const gchar *);


#ifdef CONFIG_TESTING
GHashTable *test_get_settings();
#endif /* CONFIG_TESTING */
#endif /* OCARINA_SETTINGS_H */
