/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_BUILDER_H
#define OCARINA_GUI_BUILDER_H
#include <gtk/gtk.h>

/* Called to initialize the GTK builder. */
void gui_builder_init(const char *);

/* Called to deinitialize the GTK builder. */
void gui_builder_deinit();

/* Called to get an object from the GTK builder. */
GObject *gui_builder_object(const char *);

/* Called to get a widget from the GTK builder. */
GtkWidget *gui_builder_widget(const char *);

/* Called to find the height of a GTK builder widget. */
int gui_builder_widget_height(const char *);

#ifdef CONFIG_TESTING
GtkBuilder *test_get_gui_builder();
#endif /* CONFIG_TESTING */
#endif /* OCARINA_GUI_BUILDER_H */
