/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLIST_H
#define OCARINA_GUI_PLAYLIST_H
#include <core/playlist.h>
#include <gui/builder.h>
#include <gui/playlists/artist.h>
#include <gui/playlists/library.h>
#include <gui/playlists/system.h>
#include <gui/playlists/user.h>

/* Called to initialize the GUI playlist code. */
void gui_playlist_init();

/* Called to access the right-click menu. */
static inline GtkMenu *gui_rc_menu()
{
	return GTK_MENU(gui_builder_widget("rc_menu"));
}

/* Called to acces the "Add to Other Playlist" menu item. */
static inline GtkMenuItem *gui_rc_add_to_other()
{
	return GTK_MENU_ITEM(gui_builder_widget("rc_add_to_other"));
}

/* Playlist callbacks passed to core_init() */
extern struct playlist_callbacks playlist_cb;

#endif /* OCARINA_GUI_PLAYLIST_H */
