/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLISTS_SYSTEM_H
#define OCARINA_GUI_PLAYLISTS_SYSTEM_H
#include <gui/builder.h>

/* Called to initialize GUI system playlists. */
void gui_pl_system_init();

/* Called to update a system playlist. */
void gui_pl_system_update(struct playlist *);

/* Called to select a system playlist. */
void gui_pl_system_select(struct playlist *);

/* Called to set favorites and hidden button states. */
void gui_pl_system_track_loaded(struct track *);

/* Called to get the favorite toggle button. */
static inline GtkToggleButton *gui_favorite_button()
{
	return GTK_TOGGLE_BUTTON(gui_builder_widget("favorite_button"));
}

/* Called to get the hidden toggle button. */
static inline GtkToggleButton *gui_hide_button()
{
	return GTK_TOGGLE_BUTTON(gui_builder_widget("hide_button"));
}

#endif /* OCARINA_GUI_PLAYLISTS_SYSTEM_H */
