/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLISTS_USER_H
#define OCARINA_GUI_PLAYLISTS_USER_H

/* Called to initialize GUI user playlists. */
void gui_pl_user_init();

/* Called to add a user playlist. */
struct playlist *gui_pl_user_add(const gchar *);

/* Called to add a user playlist (with dialog prompt). */
struct playlist *gui_pl_user_add_dialog(void);

/* Called to update a user playlist. */
void gui_pl_user_update(struct playlist *);

/* Called to select a user playlist. */
void gui_pl_user_select(struct playlist *);

/*
 * Called to get a (sorted) list of user playlists.
 * Note: The caller is responsible for freeing the list with g_list_free().
 */
GList *gui_pl_user_list(void);

#endif /* OCARINA_GUI_PLAYLISTS_USER_H */
